Subject: bug#28479: icecat-52.3.0-gnu1 includes Google in search engines

From: [email-masked] (Ludovic Courtès)
Date: Mon, 18 Sep 2017 10:08:12 +0200

Hello,

ng0 <[email-masked]> skribis:

> Mark H Weaver transcribed 0.4K bytes:
>> Hi,
>> 
>> ng0 <[email-masked]> writes:
>> 
>> > Is this an upstream bug? Should we patch to remove Google?
>> >
>> > I've just compared a completely new system (and Icecat profile)
>> > with my default profile, both include Google in search engines.
>> >
>> > There's also Bing and Yahoo, I'm not sure if all 3 were present
>> > before this version.
>> 
>> Why would it be considered a bug to give users the convenient option to
>> use those search engines?
>> 
>>        Mark
>
> For example the branch of firefox which Parabola distributes
> makes changes not to default to Google. People rarely
> change defaults, so we should give the option to use Google
> but default to for example searx.me or duckduckgo.com.

I sort-of agree with both of you.   :-)

Using a centralized search engine, be it Google or DuckDuckGo or even
searx.me, is a threat to privacy.  Of course the dominating position of
Google makes it worse than the others, but let’s not pretend the others
are white as snow.

Besides, this is a discussion to have with IceCat upstream IMO.  There’s
nothing Guix-specific here.  So I’d close this one as “wontfix”.

WDYT?

Ludo’.